Bug 137419 - CAN-2003-0987 mod_digest nonce checking flaw
CAN-2003-0987 mod_digest nonce checking flaw
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: apache (Show other bugs)
2.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
Brian Brock
impact=low,public=20031218
: Security
: 126032 (view as bug list)
Depends On:
Blocks: CVE-2003-0987
  Show dependency treegraph
 
Reported: 2004-10-28 08:58 EDT by Mark J. Cox (Product Security)
Modified: 2008-01-28 11:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 14:26:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-10-28 08:58:45 EDT
The mod_digest module does not properly verify the nonce of a client
response by using a AuthNonce secret. This could allow a malicious
user who is able to sniff network traffic to conduct a replay attack
against a website using Digest protection. Note that mod_digest
implements an older version of the MD5 Digest Authentication
specification, which is known not to work with modern browsers. This
issue does not affect mod_auth_digest.
(CAN-2003-0987).
Comment 1 Josh Bressers 2004-11-03 08:15:47 EST
This issue is going to be RHSA-2004:600
Comment 2 John Flanagan 2004-12-13 14:26:26 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-600.html
Comment 3 Mark J. Cox (Product Security) 2005-08-02 03:36:35 EDT
*** Bug 126032 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.